Loading...
Searching...
No Matches
convert_object Struct Reference

Converter between C types and Python types. More...

## Data Fields

PyObject_HEAD PyTypeObject * | fulladdr_type
| Standard Python object header.
PyTypeObject * | ctx_type
| Target type for Context conversions.
PyTypeObject * | meth_type
| Target type for Method conversions.
PyTypeObject * | custommeth_type
| Target type for CustomMethod conversions.
PyTypeObject * | linearmeth_type
| Target type for LinearMethod conversions.
PyTypeObject * | pgtmeth_type
| Target type for PageTableMethod conversions.
PyTypeObject * | lookupmeth_type
| Target type for LookupMethod conversions.
PyTypeObject * | memarrmeth_type
| Target type for MemoryArrayMethod conversions.
PyTypeObject * | range_type
| Target type for Range conversions.
PyTypeObject * | map_type
| Target type for Map conversions.
PyTypeObject * | sys_type
| Target type for System conversions.
PyTypeObject * | step_type
| Target type for Step conversions.
PyTypeObject * | op_type
| Target type for Operator conversions.

## Detailed Description

Converter between C types and Python types.

## Field Documentation

## fulladdr_type

PyObject_HEAD PyTypeObject* convert_object::fulladdr_type

Standard Python object header.

Target type for FullAddress conversions.

The documentation for this struct was generated from the following file:

- python/addrxlat.c